Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Class AFPStreamer

    java.lang.Object
      org.apache.fop.afp.AFPStreamer

All Implemented Interfaces:
  Streamable

    public class AFPStreamer

extends java.lang.Object
implements Streamable

Manages the streaming of the AFP output

Constructor Summary
`AFPStreamer(Factory factory, InternalResourceResolver resourceResolver)` Main constructor

Method Summary
`void` | `close()` Closes off the AFP stream writing the document stream
`DataStream` | `createDataStream(AFPPaintingState paintingState)` Creates a new DataStream
`ResourceGroup` | `getResourceGroup(AFPResourceLevel level)` Returns the resource group for a given resource info
`void` | `setDefaultResourceGroupUri(java.net.URI uri)` Sets the default resource group URI.
`void` | `setOutputStream(java.io.OutputStream outputStream)` Sets the final outputstream
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPStreamer

    public AFPStreamer(Factory factory,
                       InternalResourceResolver resourceResolver)

  Main constructor

  Parameters:
    `factory` - a factory
    `resourceResolver` - resource resolver

Method Detail

### createDataStream

    public DataStream createDataStream(AFPPaintingState paintingState)
                                throws java.io.IOException

  Creates a new DataStream

  Parameters:
    `paintingState` - the AFP painting state
  Returns:
    a new `DataStream`
  Throws:
    `java.io.IOException` - thrown if an I/O exception of some sort has occurred

### setDefaultResourceGroupUri

    public void setDefaultResourceGroupUri(java.net.URI uri)

  Sets the default resource group URI.

  Parameters:
    `uri` - the default resource group URI

### getResourceGroup

    public ResourceGroup getResourceGroup(AFPResourceLevel level)

  Returns the resource group for a given resource info

  Parameters:
    `level` - a resource level
  Returns:
    a resource group for the given resource info

### close

    public void close()
               throws java.io.IOException

  Closes off the AFP stream writing the document stream

  Throws:
    `java.io.IOException` - if an an I/O exception of some sort has occurred

### setOutputStream

    public void setOutputStream(java.io.OutputStream outputStream)

  Sets the final outputstream

  Parameters:
    `outputStream` - an outputstream

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Parameters:
    `os` - the outputsteam stream
  Throws:
    `java.io.IOException` - an I/O exception of some sort has occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.